Slow suspend on various Toshiba laptops

Bug #139045 reported by Peter Schwenke on 2007-09-12
42
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
linux-source-2.6.22 (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: linux-source-2.6.22

Suspend to RAM takes around 5 minutes on various Toshiba laptop models. This problem has been around since at least Dapper.

Models included in this patch are Tecra M5, Tecra M7, Portege M500, Satellite U200 and Satellite U205.

Tejun Heo submitted a fix at http://bugzilla.kernel.org/show_bug.cgi?id=7780

I have taken the fix and applied it to the Gutsy kernel. The patch looks like it would apply cleanly. However, I manually applied it. I walked through the code since this is 2.6.22 and he Tejun patched 2.6.23. I tested on my Portege M500. It works fine.

I previously had backported the patch to the Feisty kernel. See https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/90771
 As a consequence of that bug I have also added the U200 (not included in Tejun's original patch)

I have since noticed he subsequently put in a patch for the Tecra M7
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=5c08ea019198230a62c601ddf97d0319ae246ad8

I have also included the M7 in this patch. I have also included the M7 in this
patch.

See I suspect this bug also affects the M4 and M6.

http://ubuntuforums.org/showthread.php?t=222921

From Tejun Heo's original commit at http://www.kernel.org/pub/linux/kernel/v2.6/snapshots/patch-2.6.23-rc1-git1.log

"commit b8b275efc28e34f9b1d1e382d0b02dfa381b2a79
Author: Tejun Heo <email address hidden>
Date: Tue Jul 10 15:55:43 2007 +0900

    ata_piix: fix suspend/resume for some TOSHIBA laptops

    ACPI implementations in several TOSHIBA laptops are weird and burn cpu
    cycles for tens of seconds while trying to suspend if the PCI device
    for the ATA controller is disabled when the ACPI suspend is called.

    This patch uses DMI to match those machines and bypass device disable
    on those machines during suspend. As the device needs to be put into
    enabled state on resume without affecting PCI enable count, matching
    resume callback uses __pci_reenable_device().

    This bug is reported in bugzilla bug 7780.

      http://bugzilla.kernel.org/show_bug.cgi?id=7780

    Signed-off-by: Tejun Heo <email address hidden>
    Signed-off-by: Jeff Garzik <email address hidden>"

Peter Schwenke (bluetoad) wrote :

Here is the patch to fix this bug.

Peter Schwenke (bluetoad) wrote :

For people who would like to test this without building the kernel I have made the packages available at http://203.143.225.228/gutsy/

Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team
status: New → Confirmed
Changed in linux-source-2.6.22:
importance: Undecided → Medium
status: Confirmed → Triaged
Peter Schwenke (bluetoad) wrote :

It appears that the case varies for the Product Name returned by dmidecode
for different models of the U200. This is for the case "Satellite U200".
My previous patch has "SATELLITE U200".

In the version of this bug https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/90771
2 dmidecodes have been submitted which conform this.

I applied the patch referred to in http://bugzilla.kernel.org/show_bug.cgi?id=7780#c106 and this has been verified as working in the Feisty port of the patch for this bug (again https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/90771)

Ben Collins (ben-collins) wrote :

linux-source-2.6.22 (2.6.22-11.34) gutsy; urgency=low

  [Alan Stern]

  * USB: disable autosuspend by default for non-hubs
    - LP: #85488

  [Ben Collins]

  * ubuntu: Enable LEDS_TRIGGERS and related options
    - Needed for iwlwifi
  * ubuntu: Add real ABI files for virtual flavour
  * ubuntu: Re-enable missing CONFIG_SERPENT for hppa64
    - Noticed by Lamont
  * ubuntu: Add linux-headers postinst to handle hooks
    - LP: #125816
  * ubuntu: Add support for /etc/kernel/headers_postinst.d/ to
    headers-postinst
    - LP: #120049
  * cell: Add binary-custom flavour "cell" to support ps3

  [Mattia Dongili]

  * sony-laptop: restore the last user requested brightness level on
    resume.
    - LP: #117331

  [Tejun Heo]

  * ata_piix: fix suspend/resume for some TOSHIBA laptops
    - LP: #139045
  * PCI: export __pci_reenable_device()
    - needed for ata_piix change

  [Tim Gardner]

  * Enable Sierra Wireless MC8775 0x6813
    - LP: #131167

  [Zhang Rui]

  * ACPI: work around duplicate name "VID" problem on T61
    - Noted by mjg59

 -- Ben Collins <email address hidden> Sun, 16 Sep 2007 22:31:47 -0400

Changed in linux-source-2.6.22:
status: Triaged → Fix Released

I have tried the Gutsy beta LiveCD (straight off CD, no installation) with my Toshiba Tecra M3 and the slow Suspend-to-RAM issue is still present. I noticed from the kernel.org thread:

http://bugzilla.kernel.org/show_bug.cgi?id=7780

that the M3 was problematic there. The behaviour I get is a slow (5-10 minutes) suspend, and when resuming, the video / X.org fails to initialise properly (I can get a text console on an external monitor plugged into the VGA port, and interact with the system that way, but nothing via the inbuilt LCD panel).

For what it's worth here's the last couple of lines visible in the system log on resume, hand-copied-down:

[ 694.528000] input: AlpsPS/2 ALPS DualPoint TouchPad as /class/input/input10
[ 704.792000] VFS: busy inodes on changes media

and I've attached the output of plain "lspci" to this thread. If there's anything else you want me to do or try, please post, as I'd love to have suspend working on this laptop with Gutsy (kind of a dealbreaker for a potential Linux laptop switch!)

In addendum to above: I tried again and it took 5 minutes to suspend, then resumed OK to X.org with a crash notification for "vbetool" on wakeup. Here's the output of DMIDECODE (attached).

It seems that the kernel patch is looking for "Tecra M3" whereas the laptop is reporting "TECRA M3" (case sensitivity error) if you look at the DMI information. This should be a very simple fix to roll into the ATA driver -- if someone could please add this model onto the list of known buggy Toshiba laptops for Gutsy it would be much appreciated.

Please add suspend fix support for Tecra M3 to this patch for Gutsy

Changed in linux-source-2.6.22:
status: Fix Released → New
Peter Schwenke (bluetoad) wrote :

I can confirm that the latest kernel release does suspend properly on the Portege M500.

However, I checked out the changes made to the code after gusnz's comment about the M3.
The patches had been refactored and some models were missed. These are the M3, M7 and variation on the U200. The variation on the U200 should go upstream.

The original patch had some OEM string checking because *some* M3 seem to not have a Product Name in the dmidecode output (see http://bugzilla.kernel.org/attachment.cgi?id=11993&action=edit).

That has been omitted in the patches applied to the Gutsy kernel. I have not added that
back in in this patch.

However, apparently there is a patch awaiting which adds the Tecra M3 to the
piix_broken_suspend_dmi_table table, as well. This patch includes that.

I have built the packages and am waiting confirmation from guznz for the M3.

Packages are available for testing at http://203.143.225.228/gutsy/

The kernel.org 2.6.23 tree has now been updated with the Tecra M3 identification fix, so this patch looks good to go :).

Just updating this report with the git commit id and changelog for the Tecra M3 identification fix.

commit 4c74d4ec3524a8f31deadd115139dd93bc91d598
Author: Tejun Heo <email address hidden>
Date: Sun Sep 30 01:11:20 2007 -0700

    ata_piix: add another TECRA M3 entry to broken suspend list

    There's a different version of DMI table for TECRA M3 where it has
    proper vendor and product name entry. Add the entry to the broken
    suspend list.

    Angus Turnbull reported and provided initial patch.

    Signed-off-by: Tejun Heo <email address hidden>
    Cc: Angus Turnbull <email address hidden>
    Signed-off-by: Jeff Garzik <email address hidden>

Changed in linux-source-2.6.22:
status: New → Confirmed

Here's the link to the 2.6.23 patch:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=4c74d4ec3524a8f31deadd115139dd93bc91d598

If any Kernel Team / ACPI Team members are reading, it would be fantastic if Gutsy could launch with Peter's improved SATA backport bugfix from earlier in this thread!

loffe (olof-fryksen) wrote :

Hi, my Toshiba laptop also suffer from this bug.

I tried the patched kernel, but it did not work for me.

I suspect that this is because I have a different result on "Product Name" in dmidecode than what's in the patch, mine's "SATELLITE PRO U200".

I've attached my dmidecode for reference.

Philip Radin (pradin) wrote :

Gusnz, fantastic job. My only problem is that I haven't patch a kernel since my slackware days. What is the process to patch the Ubuntu kernel in gutsy?

Philip Radin (pradin) wrote :

Btw, does anyone with a Tecra M3 Fan notice it gets really loud during CPU intensive applications?

Peter Schwenke (bluetoad) wrote :

Attached is a patch for the "SATELLITE PRO U200". Packages for kernel 2.6.22-14 available to test at
http://203.143.225.228/gutsy/

This patch should go upstream.

loffe (olof-fryksen) wrote :

Hi,

Peter's latest packages confirmed as working on my Toshiba Satellite Pro U200.

Krzysztof Wyszyński (goomior) wrote :

It seems that I have the same problem. At the moment im using Ubuntu Gutsy with all updates installed and Suspend To RAM takes about 5 minutes. Resume seems to work fine. My laptop is Toshiba Tecra A8. Could you please release a patch for this model too?

Krzysztof Wyszyński (goomior) wrote :

And by the way. After resume, Bluetooth doesn't work. Need to run:
# /etc/init.d/bluetooth restart
or:
# toshset -bluetooth off
# toshset -bluetooth on

Changed in linux-source-2.6.22:
status: Confirmed → Triaged
Peter Schwenke (bluetoad) wrote :

Krzysztof,

Can you please post post the output of 'sudo dmidecode' and I'll prepare a patch.

The bluetooth is unrelated and is best reported separately. You could add scripts to /etc/acpi/suspend.d and /etc/acpi/resume.d to get around that.

Krzysztof Wyszyński (goomior) wrote :

Thanks for reply. Full 'sudo dmidecode' output has been attached.

Peter Schwenke (bluetoad) wrote :

 Krzysztof,

Done for Tecra A8. Please try packages at http://203.143.225.228/gutsy/

Note, that the Pro U200 patch has a typo from when I must have been too hasty on my git-commit and was subsequently fixed before loffe's testing. This patch contains that fix, as well.

Krzysztof Wyszyński (goomior) wrote :

Thank you very much Peter. Works like a charm. I think that your patches should be included in the nearest official Ubuntu kernel update. Great work.

Ross Patterson (rossp) wrote :

I'm still having this problem under gutsy on a Toshiba Satellite U205-S5067. I've tested with the gutsy 2.6.22 kernel, the kernel from http://203.143.225.228/gutsy/, and with 2.6.24-rc2 from kernel.org and the gutsy 2.6.22 config. No dice on any of them. Any suggestions?

Peter Schwenke (bluetoad) wrote :

Ross, can you please attach the output of 'sudo dmidecode'.

Ross Patterson (rossp) wrote :

Here 'tis. Thanks.

Ross Patterson (rossp) wrote :

Is it the caps that's causing the problem? I just got this thing back from repairs and I upgraded the BIOS. I wonder if either one of those changed the capitalization. I'm checking if that's it now.

Ross Patterson (rossp) wrote :

It is the capitalization of the dmi matching. See my comment in 7780.

Thanks Philip! Yes, the fan is very loud in this model under both Windows and Linux :). Also, sorry, I forgot to re-check this bug recently.

For you and/or anyone not wanting to recompile the entire kernel to get proper suspend support, I've discovered a "cheating fix". Warning: make appropriate backups and use at your own risk! At a console under Gutsy 7.10 initial release without any kernel updates:

cd /lib/modules/2.6.22-14-generic/kernel/drivers/ata
sudo mv ata_piix.ko ata_piix.ko.bak
cat ata_piix.ko.bak | sed 's/TECRA M5/TECRA M3/' | sudo tee ata_piix.ko > /dev/null
sudo update-initramfs -u

This will backup the ata_piix.ko kernel module, do a text search/replace on the backup changing "TECRA M5" (which is already in Gutsy's workarounds list) to "TECRA M3" (which isn't), write to a new file and update the computer's initrd. It's also a wise move to make a copy of "/boot/initrd.img-2.6.22-14-generic" and keep it handy, if this fails for some reason you will need to boot from the LiveCD and restore it into place. Type the lines individually and if you get any errors, stop right there.

Also: WARNING: IMPORTANT: READ THIS: You should ensure that your replacement model number is the SAME LENGTH STRING. That is, exactly eight characters including a space, no more, no less. It should work for "TECRA M3" and possibly other models in the "TECRA Mn" / "TECRA An" series too, but DO NOT replace with "Satellite" etc.!

Hope this helps :).

Krzysztof Wyszyński (goomior) wrote :

It really works :) I did exact copy-paste of gusnz's commands replacing "TECRA M5" with "TECRA A8". Simple and fast method that doesn't require kernel update. Thank you gusnz.

Tom Jaeger (thjaeger) wrote :

The Toshiba Satellite R25 seems to be affected as well (see attachment). I couldn't get suspend to work properly by patching the driver binary, though.

Tom Jaeger (thjaeger) wrote :

Thanks. The latest packages on http://203.143.225.228/gutsy/ fix the issue for the R25.

Peter Schwenke (bluetoad) wrote :

Here is the patch for the Satellite U205 and Satellite R25. There are now 4 patches to apply.

Murat Gunes (mgunes) wrote :

I have a Tecra M4, and it's affected too. dmidecode output is attached.

Peter Schwenke (bluetoad) wrote :

At this point, I have submitted a patch for the laptops we have found here to upstream.

http://www.kernel.org/pub/linux/kernel/v2.6/testing/ChangeLog-2.6.24-rc4

That means that they should find their way into Hardy automatically. (since 2.6.24 is being used).

Peter Schwenke (bluetoad) wrote :

Murat,

Can you please try the latest packages from http://203.143.225.228/gutsy/ on your Tecra M4.

Murat Gunes (mgunes) wrote :

With the patched kernel, suspend works immediately.

Here's my "lspci --vv | grep SATA" output:

00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA Controller (rev 03) (prog-if 80 [Master])

Peter, thank you so much for submitting the patch upstream. It's a big help to the kernel team. The Hardy Heron kernel (2.6.24-1.1) was uploaded for testing a few days ago: https://launchpad.net/ubuntu/+source/linux . It looks like it was synced with upstream 2.6.24-rc3. I assume within the next few Ubuntu kernel uploads your patches should be merged automatically and ready for testing/use. Thanks!

Changed in linux:
status: New → Incomplete
Changed in linux:
importance: Undecided → Medium
status: Incomplete → Triaged
assignee: nobody → ubuntu-kernel-team
Peter Schwenke (bluetoad) wrote :

No worries, Leann.

Here is the patch for M4. I'll send a patch upstream for it, as well.

Murat Gunes (mgunes) wrote :

I'll appreciate that, Peter. I've tested suspend under different conditions and with different video drivers, and it works flawlessly. I hope the patch ends up in the final release.

Peter Schwenke (bluetoad) wrote :

Murat,
it's on its way
http://<email address hidden>/8130120.html

MichaelTayrov (mtayrov) wrote :

Thank you very much, Peter. Your patches work flawlessly on my Toshiba U200-181. But Updates Manager now always offers me to update my kernel and headers from version 2.6.22-14.46 to the same 2.6.22-14.46. Does anybody know how to get rid of this annoying behavior?

Ben Collins (ben-collins) wrote :

Phillip, please cherry pick the the Tecra M3 additions to the dmi table, for next upload. Thanks

Changed in linux-source-2.6.22:
assignee: ubuntu-kernel-team → phillip-lougher
status: Triaged → In Progress
Ben Collins (ben-collins) wrote :

This was already fixed upstream in linux 2.6.24, so good to go there.

Changed in linux:
status: Triaged → Fix Released
Peter Schwenke (bluetoad) wrote :

Ben & Phillip, you'll find that all of these additions have been fixed in 2..6.24. I ensured that the laptops handled in the dmi_table in Gutsy and 2.6.24 match.

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=04d86d6fc0477f217d60667adfc26f1f56264cc9

The last was the M4:
http://kernel.org/pub/linux/kernel/v2.6/testing/ChangeLog-2.6.24-rc5

Id2ndR (id2ndr) wrote :

Does anyone have encountred Bug #137477 : resume is blocked on a blinking cursor (and also yellow "linu" string) until some random keystrokes are entered.

I use linux 2.6.22 (gutsy) on a toshiba U200.

I have tried linux 2.6.24-2 from hardy alpha2 on a live CD, and it fail to resume (kernle panic with interuption exception related to ps_mouse), but this is an other (related) bug.

I have Toshiba U200-181 and I see yellow "Linu" while resuming (from
susmend-to-ram) too.
But it resumes just fine with patched kernel (gutsy, 2.6.22).

2007/12/23, Id2ndR <email address hidden>:
>
> Does anyone have encountred Bug #137477 : resume is blocked on a
> blinking cursor (and also yellow "linu" string) until some random
> keystrokes are entered.
>
> I use linux 2.6.22 (gutsy) on a toshiba U200.
>
> I have tried linux 2.6.24-2 from hardy alpha2 on a live CD, and it fail
> to resume (kernle panic with interuption exception related to ps_mouse),
> but this is an other (related) bug.
>
> --
> Slow suspend on various Toshiba laptops
> https://bugs.launchpad.net/bugs/139045
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Michael Tayrov

weed0r (agentcool) wrote :

Another Model of an Tecra A8

PTA83E-0D003RGR, for this one the current released patches doesn't work. Can you release another patch?
Full dmidecode is attatched. Thank you :-).

rossdotw (ross-inertia) wrote :

I have a Tecra M3. When the machine is undocked your patches work flawlessly, however if the machine is sitting on the docking station it behaves in exactly the same way as the unpatched kernel. The screen blanks, the docking station power indicator switches off which seems to suggest something has happened but the power light stays on on the laptop and the fan switches to full blast. I have left it like this for 10-15mins many times but it never seems to enter suspend. Opening the lid switches the screen on, but it is blank and does not respond to anything and requires the power to be turned off in order to use the machine again.

What do I need to provide you with in order to track this down?

I tried the .deb packages from the link above for the patches, but I could not get it to work with my laptop. I have a Toshiba Satellite R20. As far as I know, the R20 is the exact same as the R25, except the R20 is the customized version from Toshiba. Could this be added to the list of patches and could anyone direct me to where I can get instructions to patch it myself? I attached my dmidecode output. Thanks.

Peter Schwenke (bluetoad) wrote :

weed0r,

Unless you have a TECRA M5, Satellite U200, Satellite U205, Portege M500 with exactly one of those strings in Product Name in your dmidecode output you'll need to use the packages from

http://203.143.225.228/gutsy/

or use the patches attached to this bug report and rebuild the kernel yourself. The models listed above are the only ones which have been included in Gutsy. The other models have been included upstream and should come through in Hardy.

I've looked at using the Launchpad PPAs (https://launchpad.net/ubuntu/+ppas) to make this easier but haven't worked out the package pinning properly.

Peter Schwenke (bluetoad) wrote :

Michael,

I've done a patch for the R20. The packages are at http://203.143.225.228/gutsy/.

Well, it doesn't seem to work for me. It did change the equation,
though. It now does not go black, but rather locks the workstation
(requiring a password) and when I unlock, it says my computer failed to
suspend.

I have been getting continually:
[ 213.164000] APIC error on CPU0: 40(40)
[ 213.164000] APIC error on CPU1: 40(40)
in dmesg, but I am not certain it is related.

And, this is the dmesg surrounding when I try suspend:
[ 122.792000] input: Power Button (FF) as /class/input/input8
[ 122.792000] ACPI: Power Button (FF) [PWRF]
[ 122.792000] input: Lid Switch as /class/input/input9
[ 122.792000] ACPI: Lid Switch [LID]
[ 122.812000] input: Power Button (CM) as /class/input/input10
[ 122.812000] ACPI: Power Button (CM) [PWRB]

If there is another diagnostic command I can run, I can try that. Thanks
for your help. Unfortunately, I am not familiar with the Debian PPA
system. I will keep playing with this and see what I can find.

Peter Schwenke wrote:
> Michael,
>
> I've done a patch for the R20. The packages are at
> http://203.143.225.228/gutsy/.
>
> ** Attachment added: "Patch for Satellite R20"
> http://launchpadlibrarian.net/11226521/0006-UBUNTU.patch
>
>

Peter Schwenke (bluetoad) wrote :

Michael,
That's actually good news as far as #139045 goes - you're passed the 5 minute wait hurdle because of the SATA controller. The problem now is something else. It is probably a matter of configuring /etc/default/acpi-support.
I'll send you mine offline, since we shouldn't really use the bug system as a support forum and report back here if
we get it going.

Peter Schwenke (bluetoad) wrote :

For the R20 note that there is a suspend/hibernate bug https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/163151

I won't put a command there about the suspend part until we confirm suspend works.

I am helping someone else with their Toshiba suspend. It is a P205D. It seems to be doing the same slow 5min suspend problem. I attached the dmidecode output. Hopefully, we can get several of these in Hardy and hopefully Toshiba might change sometime.

Peter Schwenke (bluetoad) wrote :

Michael,
I've rebuilt the packages for the P205D. Can you please get the user to provide the output of "lspci -vv" and attach it here. I had a quick look and that machine may have a different chipset.

NB: My Internet connection is flaky today.

I have a TECRA M6 which experiences the same mentioned suspend/resume failure. I've added the following to a 2.6.23.12 custom kernel I'm using:

                {
                        .ident = "TECRA M6",
                        .matches = {
                                DMI_MATCH(DMI_SYS_VENDOR, "TOSHIBA"),
                                DMI_MATCH(DMI_PRODUCT_NAME, "TECRA M6"),
                        },
                },

and suspend/resume actually works now. Here is the relevant portion of dmidecode for this laptop:

Handle 0x0001, DMI type 1, 27 bytes
System Information
        Manufacturer: TOSHIBA
        Product Name: TECRA M6
        Version: PTM60U-0DP00J01
        Serial Number: 87072762H
        UUID: 41622900-515E-11DC-8060-B05D87072762
        Wake-up Type: Power Switch
        SKU Number: 0000000000
        Family: 0000000000

Just a FYI that the M6 should be included in the patch.

Peter Schwenke (bluetoad) wrote :

Thanks, Matt submitted upstream along with the R20.

I attached the lspci -vv output from the Toshiba P205D. Thanks.

Peter Schwenke (bluetoad) wrote :

Michael,

Did it with for the P205?

Peter Schwenke (bluetoad) wrote :

Sorry for the fat fingers. Did it work for the P205D?

Peter Schwenke (bluetoad) wrote :

Due to the number of these machines dropping up and after talking to upstream I am looking into a better way of handling this.

The output which seems most useful is from "lspci -nvv".
Can everyone please submit that information as an attachment - indicating which model it is from.

If you have a Toshiba laptop which does not exhibit this behaviour, I would like to also have that output. For documentation purposes and risking clutter it would be better to post that here rather than directly. But please put the string "NO PROBLEM" in the Description when adding the attachment.

Murat Gunes (mgunes) wrote :
loffe (olof-fryksen) wrote :

Here's lspci -nvv output for "SATELLITE PRO U200".

MichaelTayrov (mtayrov) wrote :

Here is output of "lspci -nvv" for "Toshiba Satellite U200-181"

MichaelTayrov (mtayrov) wrote :

Sorry, i've attached the wrong file. Here's the right one (made with sudo lspci -nvv).

WOW!. I always thought Suspend to RAM just didn't work... point. After waiting for 5 minutes, I noticed the laptop had indeed gone to suspend. Even better: After resuming, it does display an error in the Gnome notification area, but everything comes backup OK, including Wireless, Compiz, etc.

My laptop model (from dmidecode):
System Information
        Manufacturer: TOSHIBA
        Product Name: Satellite Pro A120
        Version: PSAC1E-0QL054DU
        Serial Number: 57030753H
        UUID: 21C11380-FDAE-11DB-8031-B05957030753
        Wake-up Type: Power Switch
        SKU Number: 0000000000
        Family: 0000000000

i didn't think it worked either. wasn't willing to let my computer go so long with the fan spinning so high; figured something was wrong.

attached is the output from lspci -nvv for a Toshiba Tecra M6

System Information
 Manufacturer: TOSHIBA
 Product Name: TECRA M6
 Version: PTM60U-0FF004
 Serial Number: 97088080H
 UUID: FF536800-6C72-11DC-8060-B05D97088080
 Wake-up Type: Power Switch
 SKU Number: 0000000000
 Family: 0000000000

sorry, i should make that attachment more clear.
thanks for getting this fixed, btw. big quality-of-life improvement :)

and, of course, that was the wrong file. sorry again.

FYI, my Toshiba Tecra M6 experiences the same behavior (slow stand by, i.e. suspend to ram) on Hardy, and now my hibernate (suspend to disk) appears to do the same as stand by (fan starts running on high and takes around 5 minutes to power down). This was not the case with Gutsy.

m4cph1sto (dlreid) wrote :

I have a Tecra M4 with Ubuntu 8.04 and I got suspend to work by doing, as mentioned above:

cd /lib/modules/2.6.22-14-generic/kernel/drivers/ata
sudo mv ata_piix.ko ata_piix.ko.bak
cat ata_piix.ko.bak | sed 's/TECRA M5/TECRA M3/' | sudo tee ata_piix.ko > /dev/null
sudo update-initramfs -u

It works. However, resume only sometimes works. 50% of the time upon resume I get a black screen with a blinking cursor. I'm new to Linux and could use help resolving this issue. I don't see that a kernel patch for the M4 for Hardy is available yet. I'll supply any info you need, just tell me what to do.

As of kernel 2.6.24-19, suspend still has the same behavior on the Tecra M6 (have the other models been incorporated into the kernel yet?). However, the workaround does work:

cd /lib/modules/2.6.24-19-generic/kernel/drivers/ata
sudo mv ata_piix.ko ata_piix.ko.bak
cat ata_piix.ko.bak | sed 's/TECRA M5/TECRA M6/' | sudo tee ata_piix.ko > /dev/null
sudo update-initramfs -u

sjs889 (sjarrettsprague) wrote :

Can't get suspend or hibernate working on a Toshiba Satellite Pro A120. Here are the usually asked for files.

sjs889 (sjarrettsprague) wrote :
sjs889 (sjarrettsprague) wrote :
popk1d (popk1d) wrote :

I have this problem also, on a custom spec'd Toshiba Satellite U200 on 8.04. Please let me know what I should do - this thread gives the impression this issue is fixed, but I have the 'classic' 8 minute wait for hibernate.

Sameer Morar (smorar) wrote :

I can confirm that this problem exists for me using the Intrepid beta, with the following kernel: 2.6.27-6-generic

My laptop is a Toshiba Tecra M4, and

I think that part of the problem in this case is that my DMI table is incomplete, and doesn't contain accurate information, as shown by the attached dmidecode output. Is there perhaps not a better method determining which Toshiba laptops are affected?

Sameer Morar (smorar) wrote :

I can confirm that this problem exists for me using the Intrepid beta, with the following kernel: 2.6.27-6-generic

My laptop is a Toshiba Tecra M4.

I think that part of the problem in this case is that my DMI table is incomplete, and doesn't contain accurate information, as shown by the attached dmidecode output. Is there perhaps not a better method determining which Toshiba laptops are affected?

popk1d (popk1d) wrote :

Forgive me if I'm posting this info to the wrong place, but this is the closest match I can find to my problem. I notice people have posted here with no response, so I'd be very grateful for a pointer elsewhere if I am mistaken.

My Toshiba Satellite U200 has this issue, exactly as described in the bug description. I am on kernel 2.6.24.21 on Hardy.

Output from dmidecode on my system seems to have really unhelpful info, so the patch isn't ID'ing my system - I think this is the relevant bit:
"
Handle 0x0001, DMI type 1, 27 bytes
System Information
 Manufacturer: TOSHIBA
 Product Name: Portable PC
 Version: Version 1.0
 Serial Number: 0000000000
 UUID: Not Present
 Wake-up Type: Other
 SKU Number: 0000000000
 Family: 0000000000
"
- I believe the patch is looking for "Satellite U200" or similar in the "Product Name" field.

I've attached my dmidecode & lspci -nvv outputs: I believe what I need is a mod to the take6 patch. If this is something I should be doing myself, could someone point me in the direction of a newbie guide on patching and recompiling my kernel for something like this. I'd be so grateful for some help!

> Output from dmidecode on my system seems to have really unhelpful info, so the patch isn't ID'ing my system - I think this is the relevant bit:
> "
> Handle 0x0001, DMI type 1, 27 bytes
> System Information
> Manufacturer: TOSHIBA
> Product Name: Portable PC
> Version: Version 1.0
> Serial Number: 0000000000
> UUID: Not Present
> Wake-up Type: Other
> SKU Number: 0000000000
> Family: 0000000000
> "
> - I believe the patch is looking for "Satellite U200" or similar in the "Product Name" field.
>

You're right.
The interesting part of your output of dmidecode is stange. Other parts
of your dmidecode output looks like my output. Here is my output
(suspend is ok).

Handle 0x0001, DMI type 1, 27 bytes
System Information
        Manufacturer: TOSHIBA
        Product Name: Satellite U200
        Version: PLUA0E-00301GFR
        Serial Number: 56828385G
        UUID: 18754B00-D15F-11DB-8010-B60056828385
        Wake-up Type: Power Switch
        SKU Number: 0000000000
        Family: 0000000000

Wooo! I can confirm that the suspend works in Ubuntu 8.10 for my Toshiba Satellite R20 Tablet! It suspends in a reasonable time, resumes, and the wifi continues to work. Thank you to all who worked on this issue.

Also works on the Tecra M6 in Intrepid. Thanks so much!

sjs889 (sjarrettsprague) wrote :

Still slow at getting to suspend and hibernate state on a Toshiba Satellite Pro A120-237 using ubuntu 8.10.

Sameer Morar (smorar) wrote :

I have edited my DMI table using a tool called DMICFG.EXE (easily found via google)

Now my DMI table reflects the correct model info, and suspend works within a reasonable time.

My previous DMI info was:
Handle 0x0001, DMI type 1, 25 bytes
System Information
 Manufacturer: TOSHIBA
 Product Name: 000000
 Version: 000000
 Serial Number: 000000
 UUID: 76BFAC00-8E55-1810-8040-C70685570381
 Wake-up Type: Power Switch

I managed to edit it to show (as per it's labelling / branding):
Handle 0x0001, DMI type 1, 25 bytes
System Information
        Manufacturer: TOSHIBA
        Product Name: TECRA M4
        Version: PTM40E-1C8038G3
        Serial Number: Y5663331G
        UUID: 76BFAC00-8E55-1810-8040-C70685570381
        Wake-up Type: Power Switch

I recall that my laptop has had it's motherboard replaced, so this is probably how this information was lost.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Sergio Zanchetta (primes2h) wrote :

The 18 month support period for Gutsy Gibbon 7.10 has reached its end of life -
http://www.ubuntu.com/news/ubuntu-7.10-eol . As a result, we are closing the
linux-source-2.6.22 kernel task.

Changed in linux-source-2.6.22 (Ubuntu):
status: In Progress → Won't Fix
Sergio Zanchetta (primes2h) wrote :

Since it seems that this bug is still affecting some users I reopen it, adding that It would be helpful if you could test the new Jaunty Jackalope 9.04 release and confirm if this issue remains -
http://www.ubuntu.com/getubuntu/releasenotes/904overview. If the issue still exists with the Jaunty
release, please update this report by changing the Status of the "linux (Ubuntu)"
task from "Incomplete" to "New". Also please be sure to run the command below
which will automatically gather and attach updated debug information to this
report. Thanks in advance.

apport-collect -p linux-image-2.6.28-11-generic 139045

Changed in linux (Ubuntu):
status: Fix Released → Incomplete

[This is an automated message. Apologies if it has reached you inappropriately.]

This bug was flagged as having a patch attached. The Ubuntu Kernel Team's preferred policy is for all patches to be submitted and accepted into the upstream kernel before agreeing to merge them into the Ubuntu kernel. The goal for the Ubuntu kernel is to have little to no divergence from the upstream linux kernel source.

https://wiki.ubuntu.com/KernelTeam/KernelPatches has been written to document the suggested policy and procedures for helping get a patch merged upstream and subsequently into the Ubuntu kernel. Please take the time to review that wiki if this patch should be considered for inclusion into the upstream and Ubuntu kernel. Let us know if you have any questions or need any help via the Ubuntu Kernel Team mailing list. Thanks in advance.

tags: added: kj-comment
Peter Schwenke (bluetoad) wrote :

Patches for laptops mentioned here were submitted upstream a long time ago and have trickled back down to Ubuntu - they _should_ be in Hardy. I didn't worry about the couple of cases had strange Product Names in their DMI table. I did try to look for a generic solution but ended up deciding the DMI check in the kernel was the best. No more new models were getting reported. So you can close this bug.

Closed this bug as per Peter Schwenke's recomendation.

Changed in linux (Ubuntu):
status: Incomplete → Fix Released

So where can I download the latest fix (for Kubuntu 9.10)?

I hereby mention that this "bug" also appears on the Toshiba Portege R600.

(addendum: suspend takes 2 minutes and 13 seconds on average, so it's rather a 2-minute time-out than a 5-minute time-out as described in some earlier post)

Is it better to re-post this as a new bug or should I just wait longer?

Id2ndR (id2ndr) wrote :

As this bug is marked as fixed released (and it has really been for some laptop), you should open a new bug. You may explain that it's linked to this bug in the description.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.